WorkspaceOutreachDrafts

Save outreach draft

Persist an AI-drafted outreach email from the Workspace chat. Requires the contact and its parent entity to be unlocked. **Free (0 credits).**

POST
/workspace/outreach/drafts

Persist an AI-drafted outreach email from the Workspace chat. Requires the contact and its parent entity to be unlocked. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Request Body

application/json

contact_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
subject*string
Length1 <= length <= 500
body*string
Length1 <= length <= 50000

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/workspace/outreach/drafts" \  -H "Content-Type: application/json" \  -d '{    "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",    "subject": "string",    "body": "string"  }'
{
  "data": {
    "id": "string",
    "contact_id": "string",
    "contact_name": "string",
    "contact_title": "string",
    "contact_email": "string",
    "state": "string",
    "district_id": "string",
    "district_name": "string",
    "school_id": "string",
    "school_name": "string",
    "subject": "string",
    "body": "string",
    "created_at": "string"
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty
Empty